%define SOURCE_NAME owt
%define SOURCE_VERSION 20031104

Name:    owtchart
Version: 1.2.0
Release: 2%{?dist}
Summary: The OWTChart Engine produces GIF images of virtually any type of chart from a set of input parameters

Group: Development/Tools
License: OpenSource
URL: http://www.maptools.org/owtchart/

Source0: %{SOURCE_NAME}-%{SOURCE_VERSION}.tar.gz
Source1: %{name}-LICENSE
Patch0:  %{name}-stdc++.patch

BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

Requires: httpd
Provides: %{name} = %{version}

%description
The OWTChart Engine produces GIF images of virtually any type of chart
from a set of input parameters.

The program can be used as a CGI in a web server environment, in which
case it will return a GIF image with the chart built from the
parameters found in the QUERY_STRING part of the URL, or from the body
of a POST request.

It can also be used as a command-line program. In this case, the chart
parameters will be read from a simple text file in which each line
contains one parameter in the form "Name=Value", and the output will
go to a .GIF file.

%prep 
%setup -n %{SOURCE_NAME}-%{SOURCE_VERSION}
%patch0 -p1 -b .stdc++
%{__cp} %{SOURCE1} .

%build
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p} ${RPM_BUILD_ROOT}/var/www/cgi-bin
%{__install} --strip -m 755  %{name}/%{name} ${RPM_BUILD_ROOT}/var/www/cgi-bin

%files
%defattr(0755,root,root,0755)
/var/www/cgi-bin/%{name}
%defattr(0644,root,root,0755)
%doc %{name}-LICENSE

%changelog
* Mon Jan 07 2013 Pavel Lisy <pali@tmapy.cz> 1.2.0-2
- cleaning of spec file

* Tue Mar 27 2012 Pavel Lisy <pali@fedoraproject.org> 1.2.0
- first release

